package dev.aouahib.medialist

class MedialistErrors {
    companion object {
        const val missingArgumentError = "missing_argument_error"
        const val missingArgumentMessage = "One or more arguments is missing"
        const val invalidArgumentError = "invalid_argument_error"
        const val invalidArgumentMessage = "One or more arguments is not valid"
        const val unsupportedTypeError = "unsupported_type"
        const val unsupportedTypeMessage = "One of the types passed as argument is not supported"
        const val unsupportedThumbSizeError = "unsupported_thumbnail_size"
        const val unsupportedThumbSizeMessage = "The thumbnail size passed as argument is not supported"
        const val cursorError = "cursor_error_code"
        const val cursorLoadInBackgroundReturnedNull = "CursorLoader.loadInBackground() returned null"
        const val cursorGetIndexOrThrowThrewException = "Cursor.getIndexOrThrow() threw an exception"
        const val thumbnailError = "thumbnailError"
        const val thumbnailCouldNotCreate = "Couldn't create a thumbnail"
    }
}
